Advanced Packaging Tool, the package manager for Debian-based distributions. It is also the most used tool for installing packages in Ubuntu. Questions about using any of the apt tools should use this tag.

learn more… | top users | synonyms (1)

108
votes
6answers
38k views

Is aptitude still considered superior to apt-get?

When I first started with Ubuntu using aptitude was the 'in-thing', with some stated improvements over apt-get. Am I correct in saying that apt-get has now 'caught up' with aptitude, and it makes ...
58
votes
3answers
44k views

How do I get the source code of packages installed through apt-get?

I am assuming that all application installed through apt-get are open source; but for those that are available in that manner, where can I get the source code for these applications as well as update ...
6
votes
3answers
9k views

Apt-get update with an @ in password error

I want to update ubuntu 11.04 throught apt-get. So I added the following lines in apt.conf export http_proxy=http://username:password@proxyserver.net:port/ export ...
36
votes
3answers
22k views

How can I restore configuration files?

I would like to restore LightDM to its default state, because for some reason /etc/lightdm/unity-greeter.conf is now an empty file. Deleting /etc/lightdm/unity-greeter.conf and then running sudo ...
37
votes
6answers
17k views

Where can I look up my update history?

Is there a place where I can look what updates I've installed?
24
votes
12answers
50k views

Cannot install ia32-libs

I don't know why I can't install ia32-libs. It claims for a dependency that cannot be found on repos. junior@mediacenter:~$ sudo apt-get install ia32-libs Reading package lists... Done Building ...
18
votes
2answers
12k views

dpkg: error: parsing file '/var/lib/dpkg/available' near line 0

Been trying to install git-core package for almost more than half a day now. Everytime i do, I get this error: dpkg: error: parsing file '/var/lib/dpkg/available' near line 0: newline in field name ...
18
votes
4answers
21k views

“debconf: DbDriver ”config“: config.dat is locked by another process: Resource temporarily unavailable” while installing packages

I'm trying to install the flashybrid but when I enter the apt-get install flashybrid command, I get this error: root@user-desktop:/home/user# apt-get install flashybrid Reading package lists... Done ...
8
votes
3answers
35k views

E: Unable to correct problems, you have held broken packages

I am using Ubuntu 13.04 which I installed few days back. I am trying to install nodejs and npm. I tried to install from command line first and then uninstalled it. Then something broke. sudo apt-get ...
5
votes
3answers
2k views

How to fix Ubuntu after accidentally uninstalling many packages?

I accidentally removed all the packages starting with the name jpeg with: sudo apt-get remove jpeg* This screwed up a lot of things, removed Unity, Firefox, Flash player etc. I somehow managed to ...
27
votes
3answers
7k views

How do I cherry pick packages from a PPA? [duplicate]

Is there a way to cherry pick packages from a ppa repository you add? That is, to exclude some from updating while including others? For example, I want just the chromium-browser package from this ...
4
votes
2answers
35k views

Ubuntu 13.04 - installation Nvidia driver

I've installed Ubuntu 13.04 on my laptop HP 6720s with video card Intel 965 chipset Intel gma x3100. After the boot the classic purple screen appear and before the login page the screen become black ...
1
vote
0answers
3k views

Update manager generates 404 error while attempting update. Will not update [duplicate]

Possible Duplicate: How can I fix a 404 Error using a PPA? While running update manager in Ubuntu 11.10 Oneric Ocelot I receive this list of errors. > W:Failed to fetch > ...
40
votes
5answers
92k views

How to uninstall LibreOffice?

Which package should I remove to completely remove libreoffice? I have no need for office tools. That's the one gripe I have with package managers like apt, there's no simple way to perform the ...
19
votes
4answers
40k views

How can I reinstall Apache HTTPD after deleting some of the configuration files?

I recently was messing around with my Apache config and wanted to reinstall so I could start from fresh. I followed some forum posts about reinstalling the apache2 package and this ended up deleting ...
17
votes
1answer
4k views

Why does my 64-bit system look for 32-bit repos?

I've got a 64-bit 12.10 install on my Laptop. When running apt-get update, it downloads package lists for 32-bit packages (as well as source and 64-bit package lists). Why does it look for 32-bit ...
26
votes
4answers
2k views

Can I see why a package is installed?

For a specific package, can I find out why it is installed? So, can I see or it's manually installed, or that it is installed as a dependency of another package? Or that it is installed as part of ...
11
votes
3answers
6k views

APT wedged by kernel version mismatch

Apt is seemingly unable to do anything useful for me, repeatedly giving messages of this form: dpkg: dependency problems prevent configuration of linux-server: linux-server depends on ...
20
votes
6answers
40k views

apt-get update very slow, stuck at “Waiting for headers”

I have looked at similar questions: Stuck at 0% [waiting for headers] (apt) apt-get update stuck on "Waiting for Headers" However neither one of them answer my problem. I am running ...
15
votes
4answers
11k views

How to get the native version of Spotify running?

A while ago Spotify (the streaming music service) came out with a preview for Linux of their client. I had succesfully run it throughout 10.04. Now I'm on 10.10, I can't seem to find it in the ...
10
votes
3answers
4k views

How to bypass/remove/disable the untrusted package authentication

First the image: then me saying "Say What!!.. How the..What the..??". Basically I am stunned. How can I disable/bypass/remove/explode the option for the untrusted packages not letting me install ...
14
votes
3answers
3k views

apt-get remove with wildcard removed way more than expected. why?

Last night I was trying to burn CDs. Being annoyed with k3b and choosing to use brasero instead, I went to remove k3b. I typed in: sudo apt-get remove k3b I hit tab twice and saw that I had both ...
13
votes
4answers
1k views

How to determine the size of a package while using apt prior to downloading?

When using apt-get install <package_name>, and there are dependencies that need to be downloaded, the terminal outputs names of additional packages and total size, and asks for confirmation ...
16
votes
0answers
6k views

How to find and delete duplicated sources list entries? [duplicate]

Is there a command line to find and delete duplicated entries in the /etc/apt/sources.list file? or is this possible via synaptic perhaps?
45
votes
10answers
4k views

Can't update because the word prox* is blocked

I live in Ethiopia and the government blocks all urls with the word "proxy" in them. I couldn't use that word in the title above because that would make the url contain the word proxy. When I ...
6
votes
4answers
21k views

Old version of gcc for new Ubuntu

Is there a repository containing packages for old versions of gcc, for the latest Ubuntu. I want to install gcc3 alongside gcc 4, for programs that need gcc3 specifically.
4
votes
2answers
2k views

How do I find all of my software sources?

Broken software dependencies are often caused by incompatible third party repositories. I am asked to provide a list of software sources (also known as software repositories). How can I quickly get a ...
-1
votes
1answer
985 views

error occured while running sudo apt-get install -f [closed]

I get this error Sub-process /usr/bin/dpkg returned an error code (1) so I tried sudo apt-get clean and autoclean. When I ran sudo dpkg --configure -a: Errors were encountered while processing: ...
2
votes
2answers
8k views

Why apt can't find the source code of any package?

I'm trying to download source code of certain packages, for example rhythmbox, for learning purposes. I want to do this through apt-get, with the apt-get source command. For some reason, apt-get ...
2
votes
2answers
3k views

How can I avoid “please insert CD/DVD” error when updating Ubuntu?

I can't update 12.04 LTS. The Update Manager shows this: CD/DVD 'Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)' is required Please insert the above CD/DVD into the drive ...
2
votes
0answers
182 views

“Malformed line 6” error in my /etc/apt/sources.list [duplicate]

Possible Duplicate: How do I remove a malformed line from my sources.list? I'm new to Ubuntu so I don't really know much yet. I encountered this problem while on the terminal: E: Malformed ...
206
votes
5answers
179k views

How to upgrade a single package using apt-get?

How do I update a single package? As far as man apt-get says apt-get upgrade doesn't take a package/list of packages as parameter: upgrade upgrade is used to install the newest versions of ...
43
votes
2answers
14k views

What is the difference between dpkg and aptitude/apt-get?

When installing a software via dpkg -i packageA.deb, will the dependencies required by packageA be downloaded and installed automatically? How is this different from using apt-get or aptitude?
18
votes
2answers
9k views

easy_install/pip or apt-get

As noted in the Ubuntu wiki page on Rails it is recommended that gems manages your Rails/Ruby dependencies. What is the best practise with Python packages like Django? Should I install them through ...
18
votes
1answer
6k views

Should I use tasksel, tasks in APT or install regular metapackages?

Tasksel or plain Apt? In the past I've always used tasksel to install so-called "tasks". It seems, however, that this has been integrated in APT: apt-cache dumpavail | grep ^Task [...] snip Task: ...
33
votes
3answers
29k views

How can I install a package without installing some dependencies?

I'm trying to install the package LaTeXila, and the output looks like this: $ sudo apt-get install latexila --no-install-recommends Reading package lists... Done Building dependency tree ...
49
votes
4answers
93k views

Will apt-get dist-upgrade upgrade my system to newer version?

I am using Ubuntu 12.04 right now. If I use command sudo apt-get dist-upgrade will that upgrade my ubuntu to 12.10? Does that mean I am not using the LTS version after that? I don't want to use Ubuntu ...
8
votes
4answers
125k views

Apt-Get Update: failure to fetch; can't connect to any sources

I realize there are dozens of "apt-get update: failure to fetch" questions (I read through all I could find), but my present circumstance is unique to 12.04 and it affects all sources; not just ...
2
votes
3answers
16k views

Package dependencies cannot be resolved [duplicate]

when i try to open avidio file like .mkv extension with mplayer it requires some multimedia plugin like gstreamer and and Ubuntu 12.01 freshly installed and when i tell him to install them that ...
27
votes
2answers
25k views

What does “No apport report written because MaxReports is reached already” mean?

When installing a Linux kernel image package, I got, amongst other errors: No apport report written because MaxReports is reached already Where can I delete old reports so that Apport can ...
6
votes
2answers
11k views

Installing Wine on 64 Bit

I have tried to install wine through the software center and terminal and I get this error. chris@ubuntu:~$ sudo apt-get install wine1.5 [sudo] password for chris: Reading package lists... Done ...
3
votes
3answers
6k views

apt-get 403 Forbidden

I've start a new job today and I am trying to set up my machine to run through their Windows server. I've managed to get a internet connection through the server now but now I can't run apt-get ...
14
votes
2answers
1k views

What is apt-fast and should I use it?

Several times over the past couple years, I've heard of people using apt-fast for updating and installing packages, but I'm not really sure what it does. I think I've traced its origin to this forum ...
6
votes
1answer
6k views

Unmet dependencies: linux-generic

Today I went over to my grandma because she had some problems with her computer, running Xubuntu 12.04LTS. After fixing 'the problem' (Firefox was set fullscreen..) I ran the usual apt-get update ...
5
votes
1answer
701 views

How can I duplicate my existing software packages on a new system?

I installed 12.04 in a separate partition. Right now, I would like to install the software that I have installed on my 10.04 in my 12.04 too. I was hoping there would be a workaround for this using ...
11
votes
0answers
19k views

How to fix “Duplicate sources.list entry” warning? [duplicate]

Every time I try to do some update (sudo apt-get update) it says: Reading package lists ... ready W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ need /partner amd64 Packages ...
6
votes
1answer
31k views

“E: Unable to locate package update” when I try to update my system, why?

I have almost an hour trying to update my installation, this is how I'm trying to do it: $ sudo apt-get install update [sudo] password for braiam: Reading package lists... Done Building dependency ...
6
votes
2answers
2k views

What does 'Lock Version' do?

Having installed an experimental version of dropbox and installed in manually, i dont want the deb in synaptic to download any updates (as theyll over write the changes ive done manually i assume). ...
4
votes
2answers
15k views

Stuck at 0% [waiting for headers] (apt)

On googling this error it seems that a lot of people are having this issue. apt-get upgrade hangs at 0% [waiting for headers] apt-get install apache2 hangs at 0% [waiting for headers]. Some apt-get ...
4
votes
3answers
6k views

“/etc/grub.d/README: 6: Syntax error: ”(“ unexpected” while upgrading grub package

I am facing a problem while installing any program. I get an error of Sub-process /usr/bin/dpkg returned an error code (1). Following is log of the output of apt-get -f install. Any idea what's wrong ...